Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.material.channel
Class GLSLChecker

    java.lang.Object
      de.grogra.imp3d.glsl.material.channel.GLSLChannelMap
          de.grogra.imp3d.glsl.material.channel.GLSLChannelMapNode
              de.grogra.imp3d.glsl.material.channel.GLSLChecker

    public class GLSLChecker

extends GLSLChannelMapNode

Implementation of the surface-shader: Checker. Will return 'higher' return type of both associated colors. Also implements antialiasing.

Author:
  Konni Hartmann

Constructor Summary
`GLSLChecker()`

Method Summary
`Result` | `generate(ChannelMap channelMap, MaterialConfiguration config, GLSLChannelMap inputChannelMap, int channel)` This should be used instead of the other one
`java.lang.Class` | `instanceFor()`
`boolean` | `mayDiscard()`

Methods inherited from class de.grogra.imp3d.glsl.material.channel.GLSLChannelMap
`generateResult, generateResult, generateResultWithChannelDefault, getGLSLObject, getMaxResultType, initMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLSLChecker

    public GLSLChecker()

Method Detail

### generate

    public Result generate(ChannelMap channelMap,
                           MaterialConfiguration config,
                           GLSLChannelMap inputChannelMap,
                           int channel)

  Description copied from class: `GLSLChannelMap`
  This should be used instead of the other one

  Specified by:
    `generate` in class `GLSLChannelMap`
  Returns:

### instanceFor

    public java.lang.Class instanceFor()

  Specified by:
    `instanceFor` in class `GLSLChannelMap`

### mayDiscard

    public boolean mayDiscard()

  Overrides:
    `mayDiscard` in class `GLSLChannelMap`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD